XAllocIconSize(3X11)

NAME
XAllocIconSize, XSetIconSizes, XGetIconSizes, XIconSize - allocate icon size structure and set or read a window's WM_ICON_SIZES property

SYNTAX
XIconSize *XAllocIconSize()

XSetIconSizes(display, w, size_list, count)
      Display *display;
      Window w;
      XIconSize *size_list;
      int count;

Status XGetIconSizes(display, w, size_list_return, count_return)
      Display *display;
      Window w;
      XIconSize **size_list_return;
      int *count_return;

ARGUMENTS

display
    Specifies the connection to the X server.

count
    Specifies the number of items in the size list.

count_return
    Returns the number of items in the size list.

size_list
    Specifies the size list.

size_list_return
    Returns the size list.

w   Specifies the window.

DESCRIPTION
The function allocates and returns a pointer to a structure. Note that all fields in the structure are initially set to zero. If insufficient memory is available, returns NULL. To free the memory allocated to this structure, use

The function is used only by window managers to set the supported icon sizes.

can generate and errors.

The function returns zero if a window manager has not set icon sizes; otherwise, it return nonzero. should be called by an application that wants to find out what icon sizes would be most appreciated by the window manager under which the application is running. The application should then use to supply the window manager with an icon pixmap or window in one of the supported sizes. To free the data allocated in size_list_return, use

can generate a error.

PROPERTIES

WM_ICON_SIZES
    The window manager may set this property on the root window to specify the icon sizes it supports. The C type of this property is

STRUCTURES
The structure contains:

typedef struct {
    int min_width, min_height;
    int max_width, max_height;
    int width_inc, height_inc; } XIconSize;

The width_inc and height_inc members define an arithmetic progression of sizes (minimum to maximum) that represent the supported icon sizes.

DIAGNOSTICS

The server failed to allocate the requested resource or server memory.

A value for a Window argument does not name a defined Window.

SEE ALSO
XAllocClassHint(3X11), XAllocSizeHints(3X11), XAllocWMHints(3X11), XFree(3X11), XSetCommand(3X11), XSetTransientForHint(3X11), XSetTextProperty(3X11), XSetWMClientMachine(3X11), XSetWMColormapWindows(3X11), XSetWMIconName(3X11), XSetWMName(3X11), XSetWMProperties(3X11), XSetWMProtocols(3X11), XStringListToTextProperty(3X11)
Xlib - C Language X Interface